## org.codehaus.groovy.grails.orm.hibernate.metaclass
Class FindAllByPersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractClausedStaticPersistentMethod
                  org.codehaus.groovy.grails.orm.hibernate.metaclass.FindAllByPersistentMethod

All Implemented Interfaces:
  StaticMethodInvocation

Direct Known Subclasses:
  FindAllByBooleanPropertyPersistentMethod

    public class FindAllByPersistentMethod

extends AbstractClausedStaticPersistentMethod

The "findBy*" static persistent method. This method allows querying for instances of grails domain classes based on their properties. This method returns a list of all found results eg. Account.findAllByHolder("Joe Blogs"); // Where class "Account" has a property called "holder" Account.findAllByHolderAndBranch("Joe Blogs", "London" ); // Where class "Account" has a properties called "holder" and "branch"

Since:
  13-Dec-2005
Author:
  Graeme Rocher

Nested Class Summary

Nested classes/interfaces inherited from class org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractClausedStaticPersistentMethod
`AbstractClausedStaticPersistentMethod.GrailsMethodExpression`

Field Summary

Fields inherited from class org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractClausedStaticPersistentMethod
`application`

Constructor Summary
`FindAllByPersistentMethod(GrailsApplication application, org.hibernate.SessionFactory sessionFactory, ClassLoader classLoader)`

Method Summary
`protected Object` `doInvokeInternalWithExpressions(Class clazz, String methodName, Object[] arguments, List expressions, String operatorInUse, groovy.lang.Closure additionalCriteria)`
`protected boolean` `firstExpressionIsRequiredBoolean()` Indicates if the first expression in the query is a required boolean property and as such should be ANDed to the other expressions, not ORed.

Methods inherited from class org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractClausedStaticPersistentMethod
`doInvokeInternal`

Methods inherited from class org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
`getCriteria, getHibernateTemplate, invoke, invoke`

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
`getPattern, isMethodMatch, setPattern, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FindAllByPersistentMethod

    public FindAllByPersistentMethod(GrailsApplication application,
                                     org.hibernate.SessionFactory sessionFactory,
                                     ClassLoader classLoader)

Method Detail

### doInvokeInternalWithExpressions

    protected Object doInvokeInternalWithExpressions(Class clazz,
                                                     String methodName,
                                                     Object[] arguments,
                                                     List expressions,
                                                     String operatorInUse,
                                                     groovy.lang.Closure additionalCriteria)

  Specified by:
    `doInvokeInternalWithExpressions` in class `AbstractClausedStaticPersistentMethod`

### firstExpressionIsRequiredBoolean

    protected boolean firstExpressionIsRequiredBoolean()

  Indicates if the first expression in the query is a required boolean property and as such should be ANDed to the other expressions, not ORed.

  Returns:
    true if the first expression is a required boolean property, false otherwise
  See Also:
    `FindAllByBooleanPropertyPersistentMethod`

Copyright (c) 2005-2009 The Grails project